=begin
Copyright 2021, Majid Mahmoudi
All Rights Reserved

Disclaimer
THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

License
This software is distributed under the Smustard End User License Agreement
http://www.smustard.com/eula

Information
Author - Majid Mahmoudi
Organization - Distributed on the Extension Warehouse
Name - MAJ FollowMe
SU Version - 21.0.339

Description
This plugin will make 3D from face.

Usage
This extension can make 3D from face.

History
1.0.1:: 2021-04-09
   * Original release.  I'm expecting some bugs and feedback.
1.0.2:: 2021=05-09
  * Improving view and selecting points
=end


module MajidMahmoudi

  module MajFollowMe            #EDIT
    require 'sketchup.rb'
    require 'extensions.rb'
    NAME = "MAJ_FollowMe"        #EDIT
    UNAME = "MAJ FollowMe"       #EDIT
    MENU_NAME = "Rail Maker"       #EDIT
    version = "1.0.2"           #EDIT
    desc = "This plugin will make 3D from face."
    copy_year = "2021"
    author = "Majid Mahmoudi"

#------edit above---------------------------------------------------------------


    extension = SketchupExtension.new UNAME, NAME+"/"+NAME+"_Data"

    #The name= method sets the name which appears for an extension inside the Extensions Manager dialog.
    extension.name = UNAME

    # The description= method sets the long description which appears beneath an extension inside the Extensions Manager dialog.
    extension.description = desc + "  Access it via Plugins > "+MENU_NAME

    # The version method sets the version which appears beneath an extension inside the Extensions Manager dialog.
    extension.version = version

    # Create an entry in the Extension list that loads a script called
    # stairTools.rb.
    extension.copyright = copy_year

    # The creator= method sets the creator string which appears beneath an extension inside the Extensions Manager dialog.
    extension.creator = author

    # The register_extension method is used to register an extension with SketchUp's extension manager (in SketchUp preferences).
    Sketchup.register_extension( extension, true )

  end
end
